using System;

namespace SampleApp.Logic
{
	public sealed class Sample
	{
		private Sample()
		{
		}

		public static void OrderHandleSample()
		{
			Console.Write("\nBegin an order handle process...\n\n");
			if (new Logic.Account().Login("name", "pa$$word"))
			{
				Logic.Book book = new Logic.Book();
				book.LoadBook(2);
				new Logic.Order(new Logic.Book(1), book).HandleOrder();
			}
			Console.Write("\nThe order handle process is finished.\n\n");
		}

		public static void BookUpdateSample()
		{
			Console.Write("\nBegin an book update process...\n\n");
			if (new Logic.Account().Login("name", "pa$$word"))
			{
				Logic.Book book = new Logic.Book(1);
				book.BookName = "updated book name";
				book.UpdateBook();
			}
			Console.Write("\nThe book update process is finished.\n\n");
		}
	}
}
